OpenTTD Source: Data Fields

OpenTTD Source 15.0-RC2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- r : Blitter_32bppSimple::Pixel, SpriteLoader::CommonPixel
- rail : CompanyInfrastructure
- rail_crossing_penalty : YAPFSettings
- rail_curve45_penalty : YAPFSettings
- rail_curve90_penalty : YAPFSettings
- rail_depot_reverse_penalty : YAPFSettings
- rail_doubleslip_penalty : YAPFSettings
- rail_ew : RailTypeInfo
- rail_firstred_exit_penalty : YAPFSettings
- rail_firstred_penalty : YAPFSettings
- rail_firstred_twoway_eol : YAPFSettings
- rail_lastred_exit_penalty : YAPFSettings
- rail_lastred_penalty : YAPFSettings
- rail_longer_platform_penalty : YAPFSettings
- rail_longer_platform_per_tile_penalty : YAPFSettings
- rail_look_ahead_max_signals : YAPFSettings
- rail_look_ahead_signal_p0 : YAPFSettings
- rail_look_ahead_signal_p1 : YAPFSettings
- rail_look_ahead_signal_p2 : YAPFSettings
- rail_ns : RailTypeInfo
- rail_nwse : RailTypeInfo
- rail_pbs_cross_penalty : YAPFSettings
- rail_pbs_signal_back_penalty : YAPFSettings
- rail_pbs_station_penalty : YAPFSettings
- rail_shorter_platform_penalty : YAPFSettings
- rail_shorter_platform_per_tile_penalty : YAPFSettings
- rail_slope_penalty : YAPFSettings
- rail_speed : TileDesc
- rail_station_penalty : YAPFSettings
- rail_swne : RailTypeInfo
- rail_type : ScriptStorage
- RailToolbarGlobalHotkeys() : BuildRailToolbarWindow
- railtype : BuildRailToolbarWindow, BuildVehicleWindow, TileDesc
- railtype_list : GRFFile
- railtype_scope : RailTypeResolverObject
- RailTypeResolverObject() : RailTypeResolverObject
- railtypes : RailVehicleInfo
- RailTypeScopeResolver() : RailTypeScopeResolver
- RaiseButtons() : Window
- RaiseWidget() : Window
- RaiseWidgetsWhenLowered() : Window
- RaiseWidgetWhenLowered() : Window
- random : Industry
- random_bits : BaseStation, IndustriesScopeResolver, Vehicle
- random_colour : HouseSpec, Industry
- random_sounds : IndustrySpec
- RandomAccessFile() : RandomAccessFile
- ranges : UniscribeParagraphLayout
- rank_width : PerformanceLeagueWindow, ScriptLeagueWindow
- rate : CurrencySpec, Industry::ProducedCargo
- rate_drawing : FramerateWindow
- rate_gameloop : FramerateWindow
- rating : GoodsEntry, LeagueTableElement
- RATING_LINES : StationViewWindow
- rating_lines : StationViewWindow
- ratings : Town
- raw_industry_construction : ConstructionSettings
- RAW_SAMPLE_BITS : SoundLoader_Raw
- RAW_SAMPLE_RATE : SoundLoader_Raw
- raw_strings : GameStrings
- rcon_authorized_keys : NetworkSettings
- rcon_password : NetworkSettings
- Read() : EndianBufferReader, FileReader, IntSettingDesc, LoadFilter, LZMALoadFilter, LZOLoadFilter, NoCompLoadFilter, PacketReader
- read : ReadBuffer
- Read() : StringConsumer, StringSettingDesc, ZlibLoadFilter
- READ_ALL_SEPARATORS : StringConsumer
- read_bytes : PacketReader
- READ_ONE_SEPARATOR : StringConsumer
- read_pos : EndianBufferReader
- read_proc : NICallback, NIProperty
- ReadBlock() : RandomAccessFile
- ReadBuffer() : ByteBuffer, ReadBuffer
- ReadByte() : ByteBuffer, ByteReader, RandomAccessFile
- ReadChar() : StringConsumer
- ReadCharIf() : StringConsumer
- ReadCharIfIn() : StringConsumer
- ReadCharIfNotIn() : StringConsumer
- ReadDataBlock() : ByteBuffer
- ReadDLSArticulation() : DLSFile
- ReadDLSInstrument() : DLSFile
- ReadDLSInstrumentList() : DLSFile
- ReadDLSRegion() : DLSFile
- ReadDLSRegionList() : DLSFile
- ReadDLSWave() : DLSFile
- ReadDLSWaveList() : DLSFile
- ReadDWord() : ByteReader
- ReadDword() : RandomAccessFile
- reader : ReadBuffer, SaveLoadParams
- ReadExtendedByte() : ByteReader
- ReadIf() : StringConsumer
- ReadIntegerBase() : StringConsumer
- ReadIntroGameViewportCommands() : SelectGameWindow
- ReadLine() : FileStringReader, StringListReader, StringReader
- readonly : TownScopeResolver
- ReadSint16LE() : StringConsumer
- ReadSint32LE() : StringConsumer
- ReadSint64LE() : StringConsumer
- ReadSint8() : StringConsumer
- ReadSMFHeader() : MidiFile
- ReadStr() : EndianBufferReader
- ReadString() : ByteReader
- ReadTuple() : EndianBufferReader
- ReadUint16LE() : StringConsumer
- ReadUint32LE() : StringConsumer
- ReadUint64LE() : StringConsumer
- ReadUint8() : StringConsumer
- ReadUntil() : StringConsumer
- ReadUntilChar() : StringConsumer
- ReadUntilCharIn() : StringConsumer
- ReadUntilCharNotIn() : StringConsumer
- ReadUntilUtf8() : StringConsumer
- ReadUtf8() : StringConsumer
- ReadUtf8If() : StringConsumer
- ReadVariableLength() : ByteBuffer, MpsMachine
- ReadVarSize() : ByteReader
- ReadWord() : ByteReader, RandomAccessFile
- real_path : HeaderFileWriter
- realtime : MidiFile::DataBlock
- Reason : NetworkSurveyHandler
- Reassign() : VehicleCargoList
- Rebuild() : Kdtree< T, TxyFunc, CoordT, DistT >, RoadStop::Entry
- rebuild_interval : IndustryDirectoryWindow, SignListWindow, TownDirectoryWindow
- RebuildCache() : LinkGraphOverlay
- RebuildColourIndexIfNecessary() : SmallMapWindow
- RebuildDone() : GUIList< T, P, F >
- RebuildList() : NetworkClientListWindow
- RebuildListCompany() : NetworkClientListWindow
- RebuildVisibleSettings() : GSConfigWindow, ScriptSettingsWindow
- recalc_interval : LinkGraphSettings
- recalc_time : LinkGraphSettings
- RecalcDestinations() : StationViewWindow
- RecalculateTimetableDuration() : OrderList
- Receive() : ClientNetworkGameSocketHandler, NetworkHTTPRequest, QueryNetworkGameSocketHandler, TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- Receive_ADMIN_AUTH_RESPONSE() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_CHAT() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_EXTERNAL_CHAT() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_GAMESCRIPT() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_JOIN() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_JOIN_SECURE() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_PING() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_POLL() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_QUIT() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_RCON() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_ADMIN_UPDATE_FREQUENCY() : NetworkAdminSocketHandler, ServerNetworkAdminSocketHandler
- Receive_CLIENT_ACK() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_AUTH_RESPONSE() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_CHAT() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_COMMAND() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_CONNECT() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_CONNECTED() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_CONTENT() : NetworkContentSocketHandler
- Receive_CLIENT_ERROR() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_FIND_SERVER() : NetworkUDPSocketHandler, ServerNetworkUDPSocketHandler
- Receive_CLIENT_GAME_INFO() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_GETMAP() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_IDENTIFY() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_INFO_EXTID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_EXTID_MD5() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_ID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_LIST() : NetworkContentSocketHandler
- Receive_CLIENT_JOIN() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_LISTING() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_MAP_OK() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_MOVE() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_NEWGRFS_CHECKED() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_QUIT() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_RCON() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_NAME() : NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- receive_encryption_handler : NetworkSocketHandler
- Receive_GC_CONNECT_FAILED() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_CONNECTING() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_DIRECT_CONNECT() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_ERROR() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_LISTING() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_NEWGRF_LOOKUP() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_REGISTER_ACK() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_STUN_CONNECT() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_STUN_REQUEST() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- Receive_GC_TURN_CONNECT() : ClientNetworkCoordinatorSocketHandler, NetworkCoordinatorSocketHandler
- receive_limit : ServerNetworkGameSocketHandler
- Receive_SERCLI_CONNECT() : NetworkTurnSocketHandler
- Receive_SERCLI_CONNECT_FAILED() : NetworkCoordinatorSocketHandler
- Receive_SERCLI_STUN() : NetworkStunSocketHandler
- Receive_SERCLI_STUN_RESULT() : NetworkCoordinatorSocketHandler
- Receive_SERVER_AUTH_REQUEST() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_BANNED() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler, QueryNetworkGameSocketHandler
- Receive_SERVER_CHAT() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_CHECK_NEWGRFS() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_CLIENT_ERROR() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_INFO() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_CLIENT_JOIN() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_QUIT() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_UPDATE() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_LOGGING() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_NAMES() : NetworkAdminSocketHandler
- Receive_SERVER_COMMAND() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_COMPANY_ECONOMY() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_INFO() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_NEW() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_REMOVE() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_STATS() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_UPDATE() : NetworkAdminSocketHandler
- Receive_SERVER_CONFIG_UPDATE() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_CONSOLE() : NetworkAdminSocketHandler
- Receive_SERVER_CONTENT() : ClientNetworkContentSocketHandler, NetworkContentSocketHandler
- Receive_SERVER_DATE() : NetworkAdminSocketHandler
- Receive_SERVER_ENABLE_ENCRYPTION() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_ERROR() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler, QueryNetworkGameSocketHandler
- Receive_SERVER_ERROR_QUIT() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_EXTERNAL_CHAT() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_FRAME() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_FULL() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler, QueryNetworkGameSocketHandler
- Receive_SERVER_GAME_INFO() : NetworkGameSocketHandler, QueryNetworkGameSocketHandler
- Receive_SERVER_INFO() : ClientNetworkContentSocketHandler, NetworkContentSocketHandler
- Receive_SERVER_JOIN() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_MAP_BEGIN() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_MAP_DATA() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_MAP_DONE() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_MAP_SIZE() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_MOVE() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_NEWGAME() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_PONG() : NetworkAdminSocketHandler
- Receive_SERVER_PROTOCOL() : NetworkAdminSocketHandler
- Receive_SERVER_QUIT() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_RCON() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_RCON_END() : NetworkAdminSocketHandler
- Receive_SERVER_REGISTER() : NetworkCoordinatorSocketHandler
- Receive_SERVER_RESPONSE() : ClientNetworkUDPSocketHandler, NetworkUDPSocketHandler
- Receive_SERVER_SHUTDOWN() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_SYNC() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_UPDATE() : NetworkCoordinatorSocketHandler
- Receive_SERVER_WAIT() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler
- Receive_SERVER_WELCOME() : ClientNetworkGameSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler
- Receive_TURN_CONNECTED() : ClientNetworkTurnSocketHandler, NetworkTurnSocketHandler
- Receive_TURN_ERROR() : ClientNetworkTurnSocketHandler, NetworkTurnSocketHandler
- ReceiveCommand() : NetworkGameSocketHandler
- received : Town
- received_types : NetworkContentDownloadStatusWindow
- ReceiveEnableEncryption() : CombinedAuthenticationClientHandler, NetworkAuthenticationClientHandler, X25519AuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519KeyExchangeOnlyClientHandler, X25519PAKEClientHandler
- ReceiveInvalidPacket() : NetworkAdminSocketHandler, NetworkContentSocketHandler, NetworkCoordinatorSocketHandler, NetworkGameSocketHandler, NetworkStunSocketHandler, NetworkTurnSocketHandler, NetworkUDPSocketHandler
- ReceivePacket() : NetworkTCPSocketHandler, ServerNetworkGameSocketHandler
- ReceivePackets() : NetworkAdminSocketHandler, NetworkContentSocketHandler, NetworkCoordinatorSocketHandler, NetworkGameSocketHandler, NetworkTurnSocketHandler, NetworkUDPSocketHandler
- ReceiveRequest() : CombinedAuthenticationClientHandler, NetworkAuthenticationClientHandler, X25519AuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519KeyExchangeOnlyClientHandler, X25519PAKEClientHandler
- ReceiveResponse() : CombinedAuthenticationServerHandler, NetworkAuthenticationServerHandler, X25519AuthenticationHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEServerHandler
- RecomputeCatchment() : Station
- RecomputeCatchmentForAll() : Station
- RecomputeProductionMultipliers() : Industry
- records : HistoryRange
- rect : BaseStation
- RecursiveResolve() : NewGRFProfiler
- Recv_bool() : Packet
- Recv_buffer() : Packet
- Recv_bytes() : Packet
- Recv_string() : Packet
- Recv_uint16() : Packet
- Recv_uint32() : Packet
- Recv_uint64() : Packet
- Recv_uint8() : Packet
- redraw_interval : CompanyWindow, TimetableWindow, TownAuthorityWindow
- redsq : TileHighlightData
- Reduce() : CargoPacket
- ReduceFlow() : Path
- ref1 : NewsItem
- ref2 : NewsItem
- referenced_id : StoryPageElement
- refit_cap : Vehicle
- refit_capacities : LinkRefresher
- refit_cargo : Order
- refit_list : RefitWindow
- refit_mask : PrepareRefitAction
- refittability : GRFTempEngineData
- Refittability : GRFTempEngineData
- Reflow() : FallbackParagraphLayout
- reflow_end : TextfileWindow
- reflow_iter : TextfileWindow
- ReflowContent() : TextfileWindow
- ReflowState : TextfileWindow
- refresh_interval : MainToolbarWindow, MainWindow, NetworkGameWindow, ScenarioEditorToolbarWindow, SmallMapWindow
- refresh_rate : GUISettings
- refresh_sys_sprites : VideoDriver_Cocoa
- refresh_timeout : MainWindow
- RefreshFlag : LinkRefresher
- refreshing : NetworkGame
- RefreshLinkGraph() : MainWindow
- RefreshLinks() : LinkRefresher
- RefreshScrollbar() : RefitWindow
- RefreshSelectedPage() : StoryBookWindow
- RefreshStats() : LinkRefresher
- Register() : ClientNetworkCoordinatorSocketHandler, FontCache
- RegisterAPI() : AIInfo, AIInstance, AILibrary, AIScannerInfo, AIScannerLibrary, GameInfo, GameInstance, GameLibrary, GameScannerInfo, GameScannerLibrary, ScriptInstance, ScriptScanner
- RegisterScript() : ScriptScanner
- RegisterTimer() : TimerManager< TTimerType >
- ReInit() : Window
- relative_scope : VehicleResolverObject
- relay_connection_string : NetworkAskRelayWindow
- ReleaseAnimBuffer() : OpenGLBackend
- ReleaseFlows() : FlowStatMap
- ReleaseID() : FreeUnitIDGenerator
- ReleaseObject() : Squirrel
- ReleaseShare() : FlowStat
- ReleaseSQObject() : ScriptInstance
- ReleaseUnitNumber() : Vehicle
- ReleaseVideoBuffer() : OpenGLBackend
- ReleaseVideoPointer() : VideoDriver_Cocoa, VideoDriver_CocoaOpenGL, VideoDriver_SDL_Base, VideoDriver_SDL_Default, VideoDriver_SDL_OpenGL, VideoDriver_Win32Base
- reliability : Engine, Vehicle
- reliability_final : Engine
- reliability_max : Engine
- reliability_spd_dec : Engine, Vehicle
- reliability_start : Engine
- reload_cfg : NetworkSettings
- remaining : LinkRefresher::RefitDesc, RefitDesc, Subsidy
- RemainingBytesToTransfer() : Packet
- RemainingCount() : VehicleCargoList
- remap : Blitter::BlitterParams
- remap_program : OpenGLBackend
- remap_rgb_loc : OpenGLBackend
- remap_screen_loc : OpenGLBackend
- remap_sprite_loc : OpenGLBackend
- remap_zoom_loc : OpenGLBackend
- RemapTile() : SmallMapWindow
- REMINDER_START : StatusBarWindow
- removal_cost : HouseSpec
- removal_cost_multiplier : IndustrySpec
- Remove() : CargoDataEntry, CBinaryHeapT< T >, Kdtree< T, TxyFunc, CoordT, DistT >, NetworkAuthorizedKeys, SmallSet< Tdir, items >
- remove_rating_decrease : HouseSpec
- remove_time : ChatMessage
- RemoveCallback() : ClientNetworkContentSocketHandler
- RemoveEdge() : LinkGraph::BaseNode
- RemoveFirstTupleElement() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- RemoveFlow() : LinkGraphJob::EdgeAnnotation
- RemoveFromAllNearbyLists() : Station
- RemoveFromCache() : CargoList< Tinst, Tcont >, VehicleCargoList
- RemoveFromMeta() : VehicleCargoList
- RemoveFromShared() : Vehicle
- RemoveGroup() : IniLoadFile
- RemoveIndustryToDeliver() : Station
- RemoveItem() : IniGroup
- RemoveNode() : LinkGraph
- RemoveOrder() : OrderBackup
- RemoveRecursive() : Kdtree< T, TxyFunc, CoordT, DistT >
- RemoveVehicle() : OrderList
- rename_engine : BuildVehicleWindow
- render_buffer : Win32FontCache
- renderdata : StationSpec
- RenderOglSprite() : OpenGLBackend
- renew_keep_length : CompanySettings
- Reopen() : NetworkSocketHandler
- replace_engines : ReplaceVehicleWindow
- replace_text : RailTypeInfo, RoadTypeInfo
- replace_when_old : EngineRenew
- ReplaceChainItem() : ReplaceChainItem
- ReplaceClick_StartReplace() : ReplaceVehicleWindow
- ReplaceParam() : EncodedString
- Reply() : NetworkAuthenticationPasswordRequest, NetworkAuthenticationPasswordRequestHandler
- ReportFileError() : IniFile, IniLoadFile, SettingsIniFile
- req_size : TrueTypeFontCache
- request : NetworkHTTPRequest
- RequestContentList() : ClientNetworkContentSocketHandler
- requested : ClientNetworkContentSocketHandler
- RequestQueuedContentInfo() : ClientNetworkContentSocketHandler
- RequestResult : NetworkAuthenticationClientHandler
- require() : SquirrelStd
- Reroute() : StationCargoList, VehicleCargoList
- res : FindTrainOnTrackInfo
- res_dest_node : CYapfReserveTrack< Types >
- res_dest_td : CYapfReserveTrack< Types >
- res_dest_tile : CYapfReserveTrack< Types >
- res_fail_td : CYapfReserveTrack< Types >
- res_fail_tile : CYapfReserveTrack< Types >
- rescale_interval : BuyCompanyWindow, CompanyFinancesWindow
- Rescan() : AI
- RescanDir() : ScriptScanner
- reseed : ResolverObject
- ReservationCost() : CYapfCostRailT< Types >
- Reserve() : StationCargoList
- reserve_paths : PathfinderSettings
- reserved_count : StationCargoList
- ReservedCount() : StationCargoList, VehicleCargoList
- ReserveRailStationPlatform() : CYapfReserveTrack< Types >
- ReserveSingleTrack() : CYapfReserveTrack< Types >
- ReserveTrackUnderConsist() : Train
- Reset() : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >, BitmapTileArea, FileReader, Gamelog, IndustryBuildData, IndustryTypeBuildData, LanguagePackGlyphSearcher, LoadFilter, MissingGlyphSearcher, NewGRFClass< Tspec, Tindex, Tmax >, OrderBackup, PacketReader, PerformanceAccumulator, ScriptScanner, SmallSet< Tdir, items >, Squirrel, TextEffect, TextfileWindow, TileHighlightData, TimeoutTimer< TTimerType >
- reset_sel_engine : ReplaceVehicleWindow
- ResetAirports() : AirportSpec
- ResetAirportTiles() : AirportTileSpec
- ResetAll() : SettingsContainer, SettingsPage
- ResetConfig() : AI
- ResetDepotUnbunching() : BaseConsist
- ResetEditableSettings() : ScriptConfig
- ResetEngine() : ScriptScanner
- ResetFontCache() : Layouter
- ResetInfo() : AIConfig, GameConfig
- ResetInstance() : Game
- ResetLineCache() : Layouter
- ResetMapping() : OverrideManagerBase
- ResetOfUser() : OrderBackup
- ResetOverride() : OverrideManagerBase
- ResetRefit() : LinkRefresher
- ResetRefitCaps() : Vehicle
- ResetResortTimer() : GUIList< T, P, F >
- ResetSettings() : ScriptConfig
- ResetState() : StringFilter
- ResetToCurrentNewGRFConfig() : EngineOverrideManager
- ResetToDefault() : IntSettingDesc, ListSettingDesc, NullSettingDesc, SettingDesc, StringSettingDesc
- ResetToDefaultMapping() : EngineOverrideManager
- ResetTypeCounts() : Object
- ResetUser() : OrderBackup
- Resize() : OpenGLBackend
- resize : Window
- resize_x : NWidgetBase
- resize_y : NWidgetBase
- resizebox : WidgetDimensions
- resizebox_dimension : NWidgetLeaf
- Resolve() : CallbackResultSpriteGroup, DeterministicSpriteGroup, IndustryProductionSpriteGroup, NetworkAddress, NIHAirport, NIHAirportTile, NIHelper, NIHHouse, NIHIndustry, NIHIndustryTile, NIHObject, NIHRailType, NIHRoadType< TRoadTramType >, NIHStation, NIHTown, NIHVehicle, RandomizedSpriteGroup, RealSpriteGroup, ResolverObject, ResultSpriteGroup, SpriteGroup, TCPConnecter, TileLayoutSpriteGroup
- resolve_thread : TCPConnecter
- ResolveCallback() : ResolverObject
- resolved : NetworkAddress
- ResolveReal() : ResolverObject, StationResolverObject, VehicleResolverObject
- ResolveRerandomisation() : ResolverObject
- ResolverObject() : ResolverObject, SpecializedResolverObject< RandomTriggers >
- ResolveThunk() : TCPConnecter
- resort_timer : GUIList< T, P, F >
- ResponseResult : NetworkAuthenticationServerHandler
- restart_game_year : NetworkSettings
- restart_hours : NetworkSettings
- RestartSong() : MpsMachine
- Restore() : Backup< T >, OrderBackup, VehicleOrderSaver
- RestrictFlows() : FlowStatMap
- RestrictSearch() : CYapfFollowShipT< Types >
- RestrictShare() : FlowStat
- result : DropDownListItem, NewGRFProfiler::Call
- ResultSpriteGroup() : ResultSpriteGroup
- Resume() : Squirrel
- ResumeError() : Squirrel
- retire_early : EngineInfo
- Retrieve() : CargoDataEntry
- Return() : VehicleCargoList
- ReturnCargoAction() : ReturnCargoAction
- returnpos : MpsMachine::Channel
- revalidate_before_draw : MutableSpriteCache
- reverse : FindDepotData
- reverse_at_signals : PathfinderSettings
- reverse_dependency_map : ClientNetworkContentSocketHandler
- ReverseIterator : CargoList< Tinst, Tcont >
- ReverseLookupDependency() : ClientNetworkContentSocketHandler
- ReverseLookupTreeDependency() : ClientNetworkContentSocketHandler
- Revert() : Backup< T >
- Revision() : Gamelog
- Rewind() : ByteBuffer
- right : Kdtree< T, TxyFunc, CoordT, DistT >::node, ParagraphLayouter::Position
- right_click_wnd_close : GUISettings
- right_mouse_btn_emulation : GUISettings
- river_route_random : GameCreationSettings
- ro : ScopeResolver
- road : CompanyInfrastructure
- road_build_months : Town
- road_crossing_penalty : YAPFSettings
- road_curve_penalty : YAPFSettings
- road_nwse : RoadTypeInfo
- road_side : VehicleSettings
- road_slope_penalty : YAPFSettings
- road_speed : TileDesc
- road_stop_bay_occupied_penalty : YAPFSettings
- road_stop_occupied_penalty : YAPFSettings
- road_stop_on_competitor_road : ConstructionSettings
- road_stop_on_town_road : ConstructionSettings
- road_stop_penalty : YAPFSettings
- road_swne : RoadTypeInfo
- road_type : ScriptStorage
- road_waypoint_area : Waypoint
- RoadStop : RoadStop::Entry, RoadStop
- roadstop_scope : RoadStopResolverObject
- roadstop_speclist : BaseStation
- roadstopspec : RoadStopScopeResolver
- RoadStopStatusFlag : RoadStop
- RoadTramToolbarGlobalHotkeys() : BuildRoadToolbarWindow
- roadtype : BuildRoadToolbarWindow, BuildVehicleWindow, RoadStopScopeResolver, RoadVehicle, RoadVehicleInfo, TileDesc
- roadtype_list : GRFFile
- roadtype_scope : RoadTypeResolverObject
- RoadTypeResolverObject() : RoadTypeResolverObject
- RoadTypeScopeResolver() : RoadTypeScopeResolver
- roadveh_acceleration_model : VehicleSettings
- roadveh_queue : PathfinderSettings
- roadveh_slope_steepness : VehicleSettings
- RoadVehicle() : RoadVehicle
- root : Kdtree< T, TxyFunc, CoordT, DistT >
- root_company : ScriptStorage
- root_sprite : NewGRFProfiler::Call
- root_spritegroup : ResolverObject
- RotateTop4Words() : TextRefStack
- rotation : Airport, AirportTileLayout, Ship
- rotation_x_pos : Ship
- rotation_y_pos : Ship
- rotor_in_gui : VehicleScopeResolver
- round_trip_time : BaseConsist
- route_profit : CargoPayment
- Run() : ComponentHandler, DemandHandler, FlowMapper, InitHandler, LinkGraphSchedule, LinkRefresher, MCFHandler< Tpass >
- RunCallbacks() : SocialIntegration
- RunError() : Squirrel
- running : LinkGraphSchedule
- RUNNING : SocialIntegrationPlugin
- running_cost : RailVehicleInfo
- running_status : MpsMachine::Channel
- running_ticks : Vehicle
- runs : FallbackParagraphLayout, Layouter::LineCacheItem
- rv_max_speed : GRFTempEngineData